aboutsummaryrefslogtreecommitdiffstats
path: root/plans/so/integration-etsi-testing/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'plans/so/integration-etsi-testing/setup.sh')
-rwxr-xr-xplans/so/integration-etsi-testing/setup.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/plans/so/integration-etsi-testing/setup.sh b/plans/so/integration-etsi-testing/setup.sh
index 75e75275..597bf2ea 100755
--- a/plans/so/integration-etsi-testing/setup.sh
+++ b/plans/so/integration-etsi-testing/setup.sh
@@ -39,6 +39,7 @@ MVN_VERSION="$MVN -v"
MVN_SETTINGS_XML="$SCRIPT_HOME/settings.xml"
MVN_CLEAN_INSTALL="$MVN clean install"
SIMULATOR_MAVEN_PROJECT_POM="$SCRIPT_HOME/so-simulators/pom.xml"
+WAIT_FOR_WORKAROUND_SCRIPT=$CONFIG_DIR/"wait-for-workaround-job.sh"
echo "Running $SCRIPT_HOME/$SCRIPT_NAME ..."
@@ -121,7 +122,6 @@ fi
git clone http://gerrit.onap.org/r/so/docker-config.git $TEST_LAB_DIR_PATH
-
export TEST_LAB_DIR=$TEST_LAB_DIR_PATH
export CONFIG_DIR_PATH=$CONFIG_DIR
@@ -130,6 +130,17 @@ docker-compose -f $DOCKER_COMPOSE_FILE_PATH up -d
echo "Sleeping for 3m"
sleep 3m
+echo "Will execute $WAIT_FOR_WORKAROUND_SCRIPT script"
+$WAIT_FOR_WORKAROUND_SCRIPT
+
+if [ $? -ne 0 ]; then
+ echo "ERROR: $WAIT_FOR_WORKAROUND_SCRIPT failed"
+ echo "Will stop running docker containers . . ."
+ docker-compose -f $DOCKER_COMPOSE_FILE_PATH down
+ exit 1
+fi
+
+
REPO_IP='127.0.0.1'
ROBOT_VARIABLES="-v REPO_IP:${REPO_IP}"